/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PROFILEIPSECOPTIONS_H
#define PROFILEIPSECOPTIONS_H


/**
	@author Christoph Thielecke <crissi99@gmx.de>
*/

#include "profileipsecoptionsbase.h"
#include "kvpncconfig.h"
#include <tqwidget.h>



class ProfileIpsecOptions  : public ProfileIpsecOptionsBase {
	TQ_OBJECT
  
public:
	ProfileIpsecOptions(TQWidget *parent);
	~ProfileIpsecOptions();
	bool dialogModified;

public slots:
	void useRightNextHopToggled(bool);
	void useLeftNextHopToggled(bool);
    	void useEspToogled(bool);
    	void useIkeToggled(bool);
	void localIDTypeToggled(const TQString& text);
	void remoteIDTypeToggled(const TQString&);
	void ikeHelpClicked(int,int);
	void espHelpClicked(int,int);
	void usePfsToogled(bool);

private slots:
	void dialogChanged();
	

signals:
	void changed();

};

#endif
